Black Friday Black Friday: nowe pakiety LetsBot pozwalają zaoszczędzić do 60% — tylko do 30 listopada. Zobacz pakiety Zobacz pakiety
LetsBot Menu
Zacznij teraz Polski Język

Zweryfikowany Meta Tech Provider Spółka zarejestrowana w Wielkiej Brytanii

Język

CRM · endpoint API

GET /api/v1/crm/objects/{key}/records Nowy

List custom records

Records of one custom object through the CRM lists engine (same query parameters as List contacts).

Records of one custom object through the CRM lists engine (same query parameters as List contacts). Scope: crm.

Parametry zapytania

ParametrWymaganePrzykładOpis
q Nie tower Free-text search.
filters Nie {"match":"and","conditions":[{"field":"cf:status","op":"in","value":["active"]}]} Lists-engine filter as JSON. The …/schema endpoint lists the fields and operators.
view Nie all A saved view id (its filters and sort apply), or `all`.
sort Nie cf:budget Sort key (see `sorts` in …/schema).
dir Nie desc `asc` or `desc`.
page Nie 1 Page number.
per_page Nie 25 Rows per page, up to 100.
updated_since Nie 2026-11-01T00:00:00Z Only records changed at or after this time.

Przykładowe żądanie

curl -G "https://your-workspace.letsbot.net/api/v1/crm/objects/co_projects/records" \
  -H "X-Zapier-Api-Key: YOUR_WORKSPACE_API_KEY" \
  -H "Accept: application/json"
const response = await fetch("https://your-workspace.letsbot.net/api/v1/crm/objects/co_projects/records", {
  method: "GET",
  headers: {
    "X-Zapier-Api-Key": "YOUR_WORKSPACE_API_KEY",
    "Accept": "application/json",
  },
});

const data = await response.json();
console.log(data);
<?php

$ch = curl_init('https://your-workspace.letsbot.net/api/v1/crm/objects/co_projects/records');

curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'X-Zapier-Api-Key: YOUR_WORKSPACE_API_KEY',
        'Accept: application/json',
    ],
]);

$data = json_decode(curl_exec($ch), true);
curl_close($ch);

print_r($data);
import requests

response = requests.request(
    "GET",
    "https://your-workspace.letsbot.net/api/v1/crm/objects/co_projects/records",
    headers={
        "X-Zapier-Api-Key": "YOUR_WORKSPACE_API_KEY",
        "Accept": "application/json",
    },
)

print(response.json())

Odpowiedzi

One page200
{
  "success": true,
  "data": [
    {
      "id": 12,
      "object": "co_projects",
      "title": "Tower A",
      "owner_user_id": 3,
      "values": {
        "name": "Tower A",
        "budget": 1200,
        "status": "active",
        "starts_on": "2026-11-20",
        "client": 481,
        "partners": [
          21,
          34
        ]
      },
      "created_at": "2026-11-07T09:00:00+03:00",
      "updated_at": "2026-11-07T09:30:00+03:00"
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 25,
    "total": 1
  }
}

Gotowi, kiedy Ty jesteś

Wypróbuj ten endpoint na własnym numerze

API działa w okresie bezpłatnego testu. Załóż konto, połącz swój numer WhatsApp i skopiuj klucz z API → Dane uwierzytelniania.